<?php
// Apabila user belum login
if (empty($_SESSION['namauser']) AND empty($_SESSION['passuser'])){
  echo "<link href=\"../../css/style_login.css\" rel=\"stylesheet\" type=\"text/css\" />
        <div id=\"login\"><h1 class=\"fail\">Untuk mengakses modul, Anda harus login dulu.</h1>
        <p class=\"fail\"><a href=\"../../index.php\">LOGIN</a></p></div>";  
}
// Apabila user sudah login dengan benar, maka terbentuklah session
else{
  $aksi = "modul/mod_banner/aksi_banner.php";

  // mengatasi variabel yang belum di definisikan (notice undefined index)
  $act = isset($_GET['act']) ? $_GET['act'] : ''; 

  switch($act){
    // Tampil Banner
    default:
      echo "
<div class=\"bg-secondary rounded h-100 p-4\">
<div class=\"table-responsive\">

      <h2>Banner</h2>
        
          <table class=\"table\">
          <thead>
          <tr>
          <tr><th>No</th><th>Gambar</th><th>Aksi</th></tr>
          </thead>
            <tbody>"; 
            
      $query  = "SELECT * FROM banner ORDER BY id_banner DESC";
      $tampil = mysqli_query($konek, $query);
 
      $no = 1;
      while ($r=mysqli_fetch_array($tampil)){
        echo "<tr style=\"border-color:#6C7293\"><td>$no</td>
                  <td><img src=\"../foto_banner/$r[gambar]\" width=\"200\"></td>
                  
                  
                 
                  <td><a href=\"?module=banner&act=editbanner&id=$r[id_banner]\" class=\"btn btn-sm btn-primary\">Edit</a> 
	                   
		          </tr>";
        $no++;
      }
      echo "</tbody>
        </table>
        </div>
        </div>";
    break;
  
    case "tambahbanner":
      echo "


<div class=\"bg-secondary rounded h-100 p-4\">
<div class=\"table-responsive\">

     <h2>Tambah Banner</h2>
          <form method=\"POST\" enctype=\"multipart/form-data\" action=\"$aksi?module=banner&act=input\">
        

        


  



          <div class=\"row mb-3\">
                                    <label for=\"inputEmail3\" class=\"col-sm-2 col-form-label\">Gambar</label>

          <div class=\"col-sm-10\">

        <input type=\"file\" name=\"foto\" class=\"form-control bg-dark\">

</div>
          </div>


<br/>
         
         <div style=\"text-align: center !important;\">
          <tr><td colspan=\"2\"><input type=\"submit\" value=\"Simpan\" class=\"btn btn-primary\">
                                <input type=\"button\" value=\"Batal\" onclick=\"self.history.back()\" class=\"btn btn-primary\"></td></tr>
          </div>
        
          </form>
</div>
</div>







         
          </form>";
     break;
    
    case "editbanner":
      $query = "SELECT * FROM banner WHERE id_banner='$_GET[id]'";
      $hasil = mysqli_query($konek, $query);
      $r     = mysqli_fetch_array($hasil);

      echo "<h2>Edit Banner</h2>
          <form method=\"POST\" enctype=\"multipart/form-data\" action=\"$aksi?module=banner&act=update\">
          <input type=\"hidden\" name=\"id\" value=\"$r[id_banner]\">
          <input type=\"hidden\" name=\"fotoku\" value=\"$r[gambar]\">





<div class=\"row mb-3\">
                                    <label for=\"inputEmail3\" class=\"col-sm-2 col-form-label\">Gambar</label>

          <div class=\"col-sm-10\" style=\"text-align: left !important;\">

        ";
          if ($r['gambar']!=''){
            echo "<img src=\"../foto_banner/$r[gambar]\" width=\"200\">";  
          }
          else{
            echo "Belum ada gambar";
          }
          echo"

</div>
          </div>


 <div class=\"row mb-3\">
                                    <label for=\"inputEmail3\" class=\"col-sm-2 col-form-label\">Ganti Gambar</label>

          <div class=\"col-sm-10\">

        <input type=\"file\" name=\"foto\" class=\"form-control bg-dark\">
<label for=\"formFileLg\" class=\"form-control bg-dark\" style=\"text-align: left !important;\"> - Apabila gambar tidak diganti, dikosongkan saja.</label>
</div>

          </div>

<br/>


<div style=\"text-align: center !important;\">
          <tr><td colspan=\"2\"><input type=\"submit\" value=\"Update\" class=\"btn btn-primary\">
                                <input type=\"button\" value=\"Batal\" onclick=\"self.history.back()\" class=\"btn btn-primary\"></td></tr>
          </div>








         
            </form>";
    break;  
  }
}
?>
